PackagerResolver
Date: 2013-01-10

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ivy.plugins.resolver.packager
Class PackagerResolver

    java.lang.Object
      org.apache.ivy.plugins.resolver.AbstractResolver
          org.apache.ivy.plugins.resolver.BasicResolver
              org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver
                  org.apache.ivy.plugins.resolver.RepositoryResolver
                      org.apache.ivy.plugins.resolver.URLResolver
                          org.apache.ivy.plugins.resolver.packager.PackagerResolver

All Implemented Interfaces:
  Validatable, DependencyResolver, HasLatestStrategy

    public class PackagerResolver

extends URLResolver

Resolver that performs a "build" operation to resolve artifacts.

The resolver is configured with a base URL, from which the "ivy.xml" and "packager.xml" files are resolved. The latter file contains instructions describing how to build the actual artifacts.

Field Summary

Fields inherited from class org.apache.ivy.plugins.resolver.BasicResolver
`DATE_FORMAT, DESCRIPTOR_OPTIONAL, DESCRIPTOR_REQUIRED`

Constructor Summary
`PackagerResolver()`

Method Summary
`protected void` | `clearCache()`
`ResolvedResource` | `findArtifactRef(Artifact artifact, java.util.Date date)`
`java.io.File` | `getBuildRoot()` Returns root directory under which builds take place.
`java.io.File` | `getResourceCache()` Get resource cache directory.
`java.lang.String` | `getTypeName()`
`void` | `setAllownomd(boolean b)`
`void` | `setBuildRoot(java.io.File buildRoot)` Set root directory under which builds take place.
`void` | `setDescriptor(java.lang.String rule)` Sets the module descriptor presence rule.
`void` | `setPackagerPattern(java.lang.String pattern)` Set pattern for locating "packager.xml" files.
`void` | `setPreserveBuildDirectories(boolean preserve)` Set whether to preserve build directories.
`void` | `setProperty(java.lang.String propertyKey, java.lang.String propertyValue)` Sets a property to be passed to the child Ant build responsible for packaging the dependency.
`void` | `setQuiet(boolean quiet)` Set whether to run ant with the -quiet flag.
`void` | `setResourceCache(java.io.File resourceCache)` Set resource cache directory.
`void` | `setResourceURL(java.lang.String resourceURL)` Set base resource override URL pattern.
`void` | `setRestricted(boolean restricted)` Set whether to enable restricted mode.
`void` | `setValidate(boolean validate)` Set whether to validate downloaded packager.xml files.
`void` | `setVerbose(boolean verbose)` Set whether to run ant with the -verbose flag.
`void` | `validate()` Validates the Validatable, throwing an `IllegalStateException` if the current state is not valid.

Methods inherited from class org.apache.ivy.plugins.resolver.RepositoryResolver
`download, dumpSettings, exist, findResourceUsingPattern, findTokenValues, get, getDestination, getRepository, getResource, isAlwaysCheckExactRevision, listResources, listTokenValues, publish, put, putChecksum, putSignature, setAlwaysCheckExactRevision, setName, setRepository, setSettings, setSigner`

Methods inherited from class org.apache.ivy.plugins.resolver.AbstractPatternsBasedResolver
`addArtifactPattern, addConfiguredArtifact, addConfiguredIvy, addIvyPattern, convertM2IdForResourceSearch, convertM2OrganizationForResourceSearch, convertM2ResourceSearchIdToNormal, convertM2TokenValuesForResourceSearch, findArtifactNames, findIvyFileRef, findIvyNames, findNames, findResource, findResourceUsingPatterns, getArtifactPatterns, getIvyPatterns, getModuleDescriptorExtension, isM2compatible, listTokenValues, setArtifactPatterns, setIvyPatterns, setM2compatible`

Methods inherited from class org.apache.ivy.plugins.resolver.BasicResolver
`acceptLatest, checkModuleDescriptorRevision, clearArtifactAttempts, clearIvyAttempts, doFindArtifactRef, download, exists, filterNames, findFirstArtifactRef, getAndCheck, getArtifactRef, getChecksumAlgorithms, getDefaultRMDParser, getDependency, getPublicationDate, getRMDParser, getWorkspaceName, isAllownomd, isCheckconsistency, isEnvDependent, isForce, listModules, listOrganisations, listRevisions, listTokenValues, locate, logArtifactAttempt, logAttempt, logIvyAttempt, parse, reportFailure, reportFailure, setCheckconsistency, setChecksums, setEnvDependent, setForce, setWorkspaceName, shouldReturnResolvedModule, toString`

Methods inherited from class org.apache.ivy.plugins.resolver.AbstractResolver
`abortPublishTransaction, beginPublishTransaction, checkInterrupted, checkLatest, commitPublishTransaction, doValidate, findModuleInCache, findModuleInCache, fromSystem, fromSystem, getCacheDownloadOptions, getCacheOptions, getChangingMatcherName, getChangingPattern, getDownloadOptions, getEventManager, getLatest, getLatestStrategy, getName, getNamespace, getParserSettings, getRepositoryCacheManager, getSettings, getSystemNode, hidePassword, isAfter, isValidate, saveModuleRevisionIfNeeded, setCache, setChangingMatcher, setChangingPattern, setCheckmodified, setEventManager, setLatest, setLatestStrategy, setNamespace, setRepositoryCacheManager, toSystem, toSystem, toSystem, toSystem, toSystem, toSystem`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PackagerResolver

    public PackagerResolver()

Method Detail

### clearCache

    protected void clearCache()

### setBuildRoot

    public void setBuildRoot(java.io.File buildRoot)

  Set root directory under which builds take place.

### getBuildRoot

    public java.io.File getBuildRoot()

  Returns root directory under which builds take place.

### setResourceCache

    public void setResourceCache(java.io.File resourceCache)

  Set resource cache directory.

### getResourceCache

    public java.io.File getResourceCache()

  Get resource cache directory.

### setResourceURL

    public void setResourceURL(java.lang.String resourceURL)

  Set base resource override URL pattern.

### setPackagerPattern

    public void setPackagerPattern(java.lang.String pattern)

  Set pattern for locating "packager.xml" files.

### setPreserveBuildDirectories

    public void setPreserveBuildDirectories(boolean preserve)

  Set whether to preserve build directories. Default is false.

### setRestricted

    public void setRestricted(boolean restricted)

  Set whether to enable restricted mode. Default is true.

### setVerbose

    public void setVerbose(boolean verbose)

  Set whether to run ant with the -verbose flag. Default is false.

### setQuiet

    public void setQuiet(boolean quiet)

  Set whether to run ant with the -quiet flag. Default is false.

### setValidate

    public void setValidate(boolean validate)

  Set whether to validate downloaded packager.xml files. Default is true.

  Overrides:
    `setValidate` in class `AbstractResolver`

### setAllownomd

    public void setAllownomd(boolean b)

  Overrides:
    `setAllownomd` in class `BasicResolver`

### setDescriptor

    public void setDescriptor(java.lang.String rule)

  Description copied from class: `BasicResolver`
  Sets the module descriptor presence rule. Should be one of `BasicResolver.DESCRIPTOR_REQUIRED` or `BasicResolver.DESCRIPTOR_OPTIONAL`.

  Overrides:
    `setDescriptor` in class `BasicResolver`
  Parameters:
    `rule` - the descriptor rule to use with this resolver.

### setProperty

    public void setProperty(java.lang.String propertyKey,
                            java.lang.String propertyValue)

  Sets a property to be passed to the child Ant build responsible for packaging the dependency.

  Parameters:
    `propertyKey` - the property to pass
    `propertyValue` - the value of the property to pass

### validate

    public void validate()

  Description copied from interface: `Validatable`
  Validates the Validatable, throwing an `IllegalStateException` if the current state is not valid.

  Specified by:
    `validate` in interface `Validatable`
  Overrides:
    `validate` in class `AbstractResolver`

### findArtifactRef

    public ResolvedResource findArtifactRef(Artifact artifact,
                                            java.util.Date date)

  Overrides:
    `findArtifactRef` in class `AbstractPatternsBasedResolver`

### getTypeName

    public java.lang.String getTypeName()

  Overrides:
    `getTypeName` in class `URLResolver`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD